Name:           jboss-jacc-1.4-api
Version:        1.0.2
Release:        16
Summary:        JBoss JACC 1.4 API
License:        CDDL-1.0 or GPL-2.0-with-classpath-exception
URL:            http://www.jboss.org
Source0:        https://github.com/jboss/jboss-jacc-api_spec/archive/refs/tags/jboss-jacc-api_1.4_spec-1.0.2.Final.tar.gz
BuildRequires:  maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin) mvn(org.jboss:jboss-parent:pom:)
BuildRequires:  mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildArch:      noarch

%description
JBoss Java Authorization Contract for Containers 1.4 API.

%package javadoc
Summary: Javadocs for jboss-jacc-1.4-api

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jacc-api_spec-jboss-jacc-api_1.4_spec-1.0.2.Final
%mvn_file : jboss-jacc-1.4-api/jboss-jacc-1.4-api jboss-jacc-1.4-api

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE README

%changelog
* Thu Nov 10 2022 liyanan <liyanan32@h-partners.com>  - 1.0.2-16
- Change source

* Thu Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.2-15
- Package init
